package com.perforce.p4simulink.ui;

/**
 * Copyright (C) 2014 Perforce Software. All rights reserved.
 *
 * Please see LICENSE.txt in top-level folder of this distribution.
 */

import java.io.File;
import java.io.FileWriter;
import java.util.ArrayList;
import java.util.List;

import javax.swing.JTextArea;

public class P4IgnoreDialogue extends P4Pane {
	public static final int UNSAVED = 0;
	public static final int SAVED = 1;

	private JTextArea contents;
	private File file;

	public P4IgnoreDialogue(String current, File ignoreFile) {
		contents = new JTextArea(current != null ? current : "");
		file = ignoreFile;
	}

	public Object[] getFields() {
		List<Object> fields = new ArrayList<>();
		fields.add(".p4ignore Contents: ");
		fields.add(contents);
		return fields.toArray();
	}

	public int save() {
		if (file == null || !file.canWrite()) {
			// can't save it
			return UNSAVED;
		}

		try {
			FileWriter writer = new FileWriter(file);
			writer.write(contents.getText());
			writer.close();
		} catch (Exception e) {
			return UNSAVED;
		}

		return SAVED;
	}
}
